clang-tools 10.0.0

Public Member Functions | Static Public Attributes | List of all members
clang::clangd::CancelledError Class Reference

Conventional error when no result is returned due to cancellation. More...

`#include <Cancellation.h>`

Inheritance diagram for clang::clangd::CancelledError:
[legend]
Collaboration diagram for clang::clangd::CancelledError:
[legend]

## Public Member Functions
void | log (llvm::raw_ostream &OS) const override
std::error_code | convertToErrorCode () const override

## Static Public Attributes
static char | ID = 0

## Detailed Description

Conventional error when no result is returned due to cancellation.

Definition at line 84 of file Cancellation.h.

## Member Function Documentation

## ◆ convertToErrorCode()

std::error_code clang::clangd::CancelledError::convertToErrorCode | ( |  | ) | const
| inline override

Definition at line 91 of file Cancellation.h.

## ◆ log()

void clang::clangd::CancelledError::log | ( | llvm::raw_ostream & | OS | ) | const
| inline override

Definition at line 88 of file Cancellation.h.

## Member Data Documentation

## ◆ ID

char clang::clangd::CancelledError::ID = 0
| static

Definition at line 86 of file Cancellation.h.

The documentation for this class was generated from the following files:

- Cancellation.h
- Cancellation.cpp